﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Tasks;
using System.Windows.Media.Imaging;

namespace Phone选择器
{
    public partial class MainPage : PhoneApplicationPage
    {
        // 构造函数
        public MainPage()
        {
            InitializeComponent();
        }


        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            showSaveRingtoneTask();
        }


        //地址选择器
        void showAddressChooserTask()
        {
            var addressChooserTask = new AddressChooserTask();
            addressChooserTask.Completed += new EventHandler<AddressResult>((a, b) =>
            {
                if (b.TaskResult == TaskResult.OK)
                {
                    MessageBox.Show(b.DisplayName + "的地址是：" + b.Address);
                }
            });
            addressChooserTask.Show();
        }

        //相机拍照选择器
        void showCameraCaptureTask()
        {
            var cameraCaptureTask = new CameraCaptureTask();
            cameraCaptureTask.Completed += new EventHandler<PhotoResult>((a, b) =>
            {
                if (b.TaskResult == TaskResult.OK)
                {
                    Image image = new Image();
                    var bitmapImage = new BitmapImage();
                    bitmapImage.SetSource(b.ChosenPhoto);
                    image.Source = bitmapImage;
                    ContentPanel.Children.Add(image);
                    MessageBox.Show(b.OriginalFileName);
                }
            });
            cameraCaptureTask.Show();
        }

        //邮箱选择器
        void showEmailAddressChooserTask()
        {
            var emailAddressChooserTask = new EmailAddressChooserTask();
            emailAddressChooserTask.Completed += new EventHandler<EmailResult>((a, b) =>
            {
                if (b.TaskResult == TaskResult.OK)
                {
                    MessageBox.Show(b.DisplayName + "的邮箱是：" + b.Email);
                }
            });
            emailAddressChooserTask.Show();
        }

        //电话选择器
        void showPhoneNumberChooserTask()
        {
            var phoneNumberChooserTask = new PhoneNumberChooserTask();
            phoneNumberChooserTask.Completed += new EventHandler<PhoneNumberResult>((a, b) =>
            {
                if (b.TaskResult == TaskResult.OK)
                {
                    MessageBox.Show(b.DisplayName + "的电话是：" + b.PhoneNumber);
                }
            });
            phoneNumberChooserTask.Show();
        }

        //照片选择器
        void showPhotoChooserTask()
        {
            var photoChooserTask = new PhotoChooserTask();
            photoChooserTask.Completed += new EventHandler<PhotoResult>((a, b) =>
            {
                if (b.TaskResult == TaskResult.OK)
                {
                    Image image = new Image();
                    var bitmapImage = new BitmapImage();
                    bitmapImage.SetSource(b.ChosenPhoto);
                    image.Source = bitmapImage;
                    ContentPanel.Children.Add(image);
                    MessageBox.Show(b.OriginalFileName);
                }
            });
            photoChooserTask.Show();
        }

        //保存联系人选择器
        void showSaveContactTask()
        {
            var saveContactTask = new SaveContactTask();
            saveContactTask.Completed += new EventHandler<SaveContactResult>((a, b) =>
            {
                switch (b.TaskResult)
                {
                    case TaskResult.OK:
                        MessageBox.Show("保存成功。");
                        break;
                    case TaskResult.Cancel:
                        MessageBox.Show("取消保存。");
                        break;
                    case TaskResult.None:
                        MessageBox.Show("保存失败。");
                        break;
                }
            });
            //添加一些默认值
            saveContactTask.FirstName = "三";
            saveContactTask.LastName = "张";
            saveContactTask.MobilePhone = "13900000000";
            saveContactTask.Show();
        }

        //保存电子邮件地址选择器
        void showSaveEmailAddressTask()
        {
            var saveEmailAddressTask = new SaveEmailAddressTask();
            saveEmailAddressTask.Completed += new EventHandler<TaskEventArgs>((a, b) =>
            {
                switch (b.TaskResult)
                {
                    case TaskResult.OK:
                        MessageBox.Show("保存成功。");
                        break;
                    case TaskResult.Cancel:
                        MessageBox.Show("取消保存。");
                        break;
                    case TaskResult.None:
                        MessageBox.Show("保存失败。");
                        break;
                }
            });
            //添加默认值
            saveEmailAddressTask.Email = "mail@163.com";
            saveEmailAddressTask.Show();
        }

        //保存电话号码选择器
        void showSavePhoneNumberTask()
        {
            var savePhoneNumberTask = new SavePhoneNumberTask();
            savePhoneNumberTask.Completed += new EventHandler<TaskEventArgs>((a, b) =>
            {
                switch (b.TaskResult)
                {
                    case TaskResult.OK:
                        MessageBox.Show("保存成功。");
                        break;
                    case TaskResult.Cancel:
                        MessageBox.Show("取消保存。");
                        break;
                    case TaskResult.None:
                        MessageBox.Show("保存失败。");
                        break;
                }
            });
            //添加默认值
            savePhoneNumberTask.PhoneNumber = "13900000000";
            savePhoneNumberTask.Show();
        }

        //保存铃声选择器
        void showSaveRingtoneTask()
        {
            var saveRingtoneTask = new SaveRingtoneTask();
            saveRingtoneTask.Completed += new EventHandler<TaskEventArgs>((a, b) =>
            {
                switch (b.TaskResult)
                {
                    case TaskResult.OK:
                        MessageBox.Show("保存成功。");
                        break;
                    case TaskResult.Cancel:
                        MessageBox.Show("取消保存。");
                        break;
                    case TaskResult.None:
                        MessageBox.Show("保存失败。");
                        break;
                }
            });
            //铃声文件路径
            saveRingtoneTask.Source = new Uri("appdata:/烟花易冷.mp3");
            //铃声在列表中的显示名称
            saveRingtoneTask.DisplayName = "烟花易冷";
            saveRingtoneTask.Show();
        }


    }
}